Head Blacksmith Bronk:
To qualify to become an Artisan, your level must be at least be 20 and you must pass the Test of the Artisan.
However, even if you earn these qualifications, I cannot change your profession. This is because only those who have experienced Human society and understand the great world beyond the Spine Mountains are qualified to change profession. A Dwarf must have a full understanding of the outside world's economy.
To take the Test of the Artisan, go to Blacksmith Silvera. She will give you detailed instructions. If you pass the test and earn your qualifications, go to the town of Gludio and meet Head Blacksmith Tapoy in the blacksmith's there. If you have met the qualifications, he will change your profession to Artisan.
Return